## Replication materials for JSS v108/i10: Modeling Big, Heterogeneous, Non-Gaussian Spatial and Spatio-Temporal Data Using FRK

- `setup.R`: Installs dependencies and checks that the data has been downloaded correctly.
- `Utility_fns.R`: Various utility functions used throughout the code. 
- `Poisson_sim.R`: Reproduces the illustrative example with simulated Poisson data given in Sections 3.1 and 3.2.
- `Heaton.R`: Runs FRK v2 for the Heaton comparison study given in Section 3.3.
- `MODIS.R`: Reproduces the MODIS comparison study given in Section 4.1, with the functions for each considered package contained in the folder `MODIS_modelling_fns`.
- `Am.R`: Reproduces the contaminated-soil comparison between `FRK` and `georob` given in Section 4.2.
- `Syndey.R`: Reproduces the Sydney-poverty example given in Section 4.3.
- `Chicago.R`: Reproduces the Chicago-crime example given in Section 4.4.

To reproduce the results of the manuscript with a single command, one may run `run_all.sh` in terminal.  
